Verified Commit 1a54b529 authored by A. Wilcox's avatar A. Wilcox 🦊
Browse files

user/phonon: Fix a few issues

* Remove patches for building against older Qt

* Split locale files

* Remove old CMake options that upstream no longer supports
parent fd63dbb4
......@@ -2,19 +2,16 @@
# Maintainer: A. Wilcox <awilfox@adelielinux.org>
pkgname=phonon
pkgver=4.11.1
pkgrel=0
pkgrel=1
pkgdesc="Qt library for playing multimedia files"
url="https://phonon.kde.org/"
arch="all"
license="LGPL-2.1-only OR LGPL-3.0-only"
depends=""
makedepends="cmake extra-cmake-modules pulseaudio-dev
qt5-qtbase-dev qt5-qttools-dev"
subpackages="$pkgname-dev $pkgname-designer"
source="https://download.kde.org/stable/phonon/$pkgver/phonon-$pkgver.tar.xz
ecm.patch
qt59.patch
"
makedepends="cmake extra-cmake-modules pulseaudio-dev qt5-qtbase-dev
qt5-qttools-dev"
subpackages="$pkgname-dev $pkgname-designer $pkgname-lang"
source="https://download.kde.org/stable/phonon/$pkgver/phonon-$pkgver.tar.xz"
build() {
if [ "$CBUILD" != "$CHOST" ]; then
......@@ -27,11 +24,7 @@ build() {
-DCMAKE_BUILD_TYPE=RelWithDebugInfo \
-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
-DCMAKE_C_FLAGS="$CFLAGS" \
-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE \
-DWITH_GLIB2=TRUE \
-DWITH_PulseAudio=TRUE \
-DPHONON_BUILD_PHONON4QT5=TRUE \
${CMAKE_CROSSOPTS}
${CMAKE_CROSSOPTS} .
make
}
......@@ -52,6 +45,4 @@ designer() {
rmdir "$pkgdir"/usr/lib/qt5/plugins || true # Never mind
}
sha512sums="858b2b0d7b0336af76d226b30f3acd1914e7297e0879d5a417fa1b87b13c812f9aab7e20adcad33ce1a03624ce78323dd9968b4b277caf85f800ca60aa134f74 phonon-4.11.1.tar.xz
4de5a7ec143f7bf5068b376b77a1d8acb85225ee87d7ab59cb315ef59be3351305602354b8ef96a1a3fbb17308441704f2c2dfa2fcefadf0560708b4eb377e64 ecm.patch
06614abd2db7634acdf7bd27c026ea4544845bdd995b4bdeb9b1d2c9fa61940bdb839c39c18c4c9c487b95c2a91aae48056742ce2c8e558bd9186a941b8d0bac qt59.patch"
sha512sums="858b2b0d7b0336af76d226b30f3acd1914e7297e0879d5a417fa1b87b13c812f9aab7e20adcad33ce1a03624ce78323dd9968b4b277caf85f800ca60aa134f74 phonon-4.11.1.tar.xz"
--- phonon-4.11.1/CMakeLists.txt.old 2019-09-26 10:29:38.000000000 +0000
+++ phonon-4.11.1/CMakeLists.txt 2019-09-30 21:04:18.966519535 +0000
@@ -15,7 +15,7 @@
set(CMAKE_AUTOUIC TRUE)
set(CMAKE_AUTORCC TRUE)
-find_package(ECM 5.60 NO_MODULE)
+find_package(ECM 5.54 NO_MODULE)
set_package_properties(ECM PROPERTIES
TYPE REQUIRED
DESCRIPTION "Extra CMake Modules"
--- phonon-4.11.1/phonon/factory.cpp.old 2019-09-26 10:29:38.000000000 +0000
+++ phonon-4.11.1/phonon/factory.cpp 2019-09-30 21:07:16.417472319 +0000
@@ -474,7 +474,11 @@
}
// Apply PHONON_BACKEND override if set.
- const QString backendEnv = qEnvironmentVariable("PHONON_BACKEND");
+ const QByteArray backendVal = qgetenv("PHONON_BACKEND");
+ if (backendVal.isNull()) {
+ return backendList;
+ }
+ const QString backendEnv = QString::fromLocal8Bit(backendVal);
if (backendEnv.isEmpty()) {
return backendList;
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment